This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 831022 - IPv6 disabled by default when using PPP
IPv6 disabled by default when using PPP
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ppp (Show other bugs)
6.2
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Michal Sekletar
BaseOS QE Security Team
:
Depends On:
Blocks: 923356
  Show dependency treegraph
 
Reported: 2012-06-11 21:31 EDT by Yves Bellefeuille
Modified: 2013-03-19 12:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 923356 (view as bug list)
Environment:
Last Closed: 2013-03-19 12:17:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yves Bellefeuille 2012-06-11 21:31:40 EDT
By default, IPv6 is disabled when using PPP. This is because the file /etc/ppp/options is as follows:

lock

For IPv6 to work, /etc/ppp/options should be as follows:

lock
ipv6 ,

Note the space and the comma after "ipv6".

Version-Release number of selected component (if applicable): ppp-2.4.5-5.el6.x86_64

Reproducible: Always.
Comment 2 RHEL Product and Program Management 2012-09-07 01:31:50 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 3 Michal Sekletar 2013-03-19 12:17:48 EDT
I'm not against such change, but I don't know if ppp is going to be scheduled for update in next maintenance release. Therefore it will be more helpful to file this bug against Fedora. After we resolve issue in Fedora we can easily backport this change to RHEL, if requested and approved by PM.

I cloned the bug against rawhide as #923356 and I am closing this one as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.